# CEGUI::KeyEventArgs Class Reference

EventArgs based class that is used for objects passed to input event handlers concerning keyboard input. More...

Inheritance diagram for CEGUI::KeyEventArgs:

[legend]
Collaboration diagram for CEGUI::KeyEventArgs:

[legend]
List of all members.

## Public Member Functions

| KeyEventArgs (Window *wnd)

## Public Attributes

utf32 | codepoint
| utf32 codepoint for the key (only used for Character inputs).
Key::Scan | scancode
| Scan code of key that caused event (only used for key up & down inputs.
uint | sysKeys
| current state of the system keys and mouse buttons.

## Detailed Description

EventArgs based class that is used for objects passed to input event handlers concerning keyboard input.